# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.kingbase8.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:kingbase8://10.110.181.18:54321/trs_jd
                username: trs_jd
                password: BTjdadmin123!@#
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: true
                url: jdbc:kingbase8://10.110.181.18:54321/trs_hycloud_iip
                username: trs_iip
                password: BTiipadmin123!@#
            # 初始连接数
            initialSize: 5
            # 最小空闲连接数
            minIdle: 5
            # 最大活跃连接数
            maxActive: 50
            # 获取连接等待超时时间(毫秒)
            maxWait: 60000
            # 间隔多久检测一次空闲连接(毫秒)
            timeBetweenEvictionRunsMillis: 60000
            # 连接在池中最小生存时间(毫秒)
            minEvictableIdleTimeMillis: 300000
            # 👇👇👇 添加这一行，连接在池中最大生存时间(毫秒)
            maxEvictableIdleTimeMillis: 600000
            # 验证连接是否有效的SQL
            validationQuery: SELECT 1
            # 申请连接时验证
            testWhileIdle: true
            # 申请连接时验证（性能影响较大，建议false）
            testOnBorrow: false
            # 归还连接时验证
            testOnReturn: false
            # 是否缓存PreparedStatement
            poolPreparedStatements: true
            # 缓存PreparedStatement的最大数量
            maxPoolPreparedStatementPerConnectionSize: 20
            # 配置监控统计拦截的filters
            filters: stat,wall,log4j
            # 连接泄露检查
            removeAbandoned: true
            # 连接泄露超时时间(秒)
            removeAbandonedTimeout: 1800
            # 记录泄露日志
            logAbandoned: true

    # 文件上传
    servlet:
        multipart:
            # 单个文件大小
            max-file-size: 10MB
            # 设置总上传的文件大小
            max-request-size: 20MB

# 项目相关配置
ruoyi:
    # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
    profile: /TRS/cdl/upload

# 开发环境配置
server:
    # 服务器的HTTP端口，默认为80
    port: 8080
    # 服务器的HTTP端口，默认为80
    servlet:
        # 应用的访问路径
        context-path: /web
    max-http-header-size: 256KB
    tomcat:
        # tomcat的URI编码
        uri-encoding: UTF-8
        # tomcat最大线程数，默认为200
        max-threads: 800
        # Tomcat启动初始化的线程数，默认值25
        min-spare-threads: 30

# 日志配置
logging:
    level:
        com.ruoyi: debug
        org.springframework: warn

# 用户配置
user:
    password:
        # 密码错误{maxRetryCount}次锁定10分钟
        maxRetryCount: 5

# Shiro
shiro:
    user:
        # 验证码开关
        captchaEnabled: false
        # 验证码类型 math 数组计算 char 字符
        captchaType: math
    cookie:
        # 设置密钥，务必保持唯一性（生成方式，直接拷贝到main运行即可）KeyGenerator keygen = KeyGenerator.getInstance("AES"); SecretKey deskey = keygen.generateKey(); System.out.println(Base64.encodeToString(deskey.getEncoded()));
        cipherKey: zSyK5Kp6PZAAjlT+eeNMlg==
    session:
        # Session超时时间，-1代表永不过期（默认30分钟）
        expireTime: 30
        # 同步session到数据库的周期（默认1分钟）
        dbSyncPeriod: 1
        # 相隔多久检查一次session的有效性，默认就是10分钟
        validationInterval: 10
        # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
        maxSession: -1
        # 踢出之前登录的/之后登录的用户，默认踢出之前登录的用户
        kickoutAfter: false

# Swagger配置
swagger:
    # 是否开启swagger
    enabled: true
